Bug 1225211 - Reads from file like objects actually only worked for file objects
Summary: Reads from file like objects actually only worked for file objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nss
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Dennis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1225212 1284968
TreeView+ depends on / blocked
 
Reported: 2015-05-26 20:18 UTC by John Dennis
Modified: 2015-11-24 15:00 UTC (History)
1 user (show)

Fixed In Version: python-nss-0.16.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1225212 (view as bug list)
Environment:
Last Closed: 2015-06-13 06:36:48 UTC
Type: Bug


Attachments (Terms of Use)

Description John Dennis 2015-05-26 20:18:03 UTC
Several python-nss functions/methods state they can read their input from either a string or any file like object (e.g. PKCS12Decoder). There is a bug in the common routine used to read the data for these entry points. It only worked for strings and file objects (or derived from the file object class). It fails to work for file like objects that implement the file interface (e.g. StringIO).

Comment 1 Fedora Update System 2015-05-26 22:48:09 UTC
python-nss-0.16.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-nss-0.16.0-1.fc22

Comment 2 Fedora Update System 2015-05-28 12:00:22 UTC
Package python-nss-0.16.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-nss-0.16.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8995/python-nss-0.16.0-1.fc22
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-06-13 06:36:48 UTC
python-nss-0.16.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.